diff --git python-monotonic/python-monotonic.spec python-monotonic/python-monotonic.spec.tmp
index 434377ee85..2064b71e74 100644
--- python-monotonic/python-monotonic.spec
+++ python-monotonic/python-monotonic.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.2
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        An implementation of time.monotonic() for Python 2 & < 3.3
 
 # Missing license file from source package
@@ -20,16 +20,24 @@ BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
 
-%description
-This module provides a ``monotonic()`` function which
-returns the
-value (in fractional seconds) of a clock which never goes
-backwards.
+%global _description\
+This module provides a ``monotonic()`` function which\
+returns the\
+value (in fractional seconds) of a clock which never goes\
+backwards.\
+\
+On Python 3.3 or newer, ``monotonic`` will be an alias of\
+``time.monotonic`` from the standard library. On older versions,\
+it will fall back to an equivalent platform specific implementation.\
 
-On Python 3.3 or newer, ``monotonic`` will be an alias of
-``time.monotonic`` from the standard library. On older versions,
-it will fall back to an equivalent platform specific implementation.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
@@ -70,7 +78,7 @@ it will fall back to an equivalent platform specific implementation.
 %endif
 
 
-%files
+%files -n python2-%{pypi_name}
 %license LICENSE
 %{python2_sitelib}/%{pypi_name}.py*
 %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -84,6 +92,10 @@ it will fall back to an equivalent platform specific implementation.
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2-7
+- Python 2 subpackage renamed to python2-monotonic
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-morbid/python-morbid.spec python-morbid/python-morbid.spec.tmp
index 3ffdaac01d..f93d696959 100644
--- python-morbid/python-morbid.spec
+++ python-morbid/python-morbid.spec.tmp
@@ -3,7 +3,7 @@
 Name:			python-morbid
 Summary:		A lightweight message queue for bundled deployment
 Version:		0.8.7.3
-Release:		12%{?dist}
+Release:		13%{?dist}
 License:		MIT
 Group:			System Environment/Daemons
 URL:			http://www.morbidq.com
@@ -11,14 +11,22 @@ Source0:		http://pypi.python.org/packages/source/m/morbid/morbid-%{version}.tar.
 BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:		noarch
 BuildRequires:		python-setuptools, python-devel
-Requires:		python-stomper, python-twisted-web
 
-%description
-Morbid is a Twisted-based publish/subscribe messaging server that uses the
-STOMP protocol. It supports publish/subscribe topics, and runs as a single 
-node. It is designed specifically for usecases where a clustered message
+%global _description\
+Morbid is a Twisted-based publish/subscribe messaging server that uses the\
+STOMP protocol. It supports publish/subscribe topics, and runs as a single\
+node. It is designed specifically for usecases where a clustered message\
 broker is not necessary.
 
+%description %_description
+
+%package -n python2-morbid
+Summary: %summary
+Requires:		python-stomper, python-twisted-web
+%{?python_provide:%python_provide python2-morbid}
+
+%description -n python2-morbid %_description
+
 %prep
 %setup -q -n morbid-%{version}
 
@@ -32,7 +40,7 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-morbid
 %defattr(-,root,root,-)
 %doc LICENSE README
 %{_bindir}/morbid
@@ -41,6 +49,10 @@ rm -rf %{buildroot}
 %{python_sitelib}/morbid*.egg-info/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.7.3-13
+- Python 2 subpackage renamed to python2-morbid
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.7.3-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mox/python-mox.spec python-mox/python-mox.spec.tmp
index 9df39b45a2..d06f4fdbda 100644
--- python-mox/python-mox.spec
+++ python-mox/python-mox.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-%{upstream_name}
 Version:        0.5.3
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Mock object framework
 
 Group:          Development/Languages
@@ -16,10 +16,18 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python-devel
 
-%description
-Mox is a mock object framework for Python based on the Java mock object
+%global _description\
+Mox is a mock object framework for Python based on the Java mock object\
 framework EasyMock.
 
+%description %_description
+
+%package -n python2-%{upstream_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{upstream_name}}
+
+%description -n python2-%{upstream_name} %_description
+
 %prep
 %setup -q -n %{upstream_name}-%{version}
 # Fix non-executable-script error
@@ -39,7 +47,7 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-%{upstream_name}
 %defattr(-,root,root,-)
 %doc COPYING README
 %{python_sitelib}/%{upstream_name}.py*
@@ -47,6 +55,10 @@ rm -rf %{buildroot}
 %{python_sitelib}/%{upstream_name}-%{version}*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.3-14
+- Python 2 subpackage renamed to python2-mox
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mozbase/python-mozbase.spec python-mozbase/python-mozbase.spec.tmp
index 7fdf7ac345..b97b5d3f40 100644
--- python-mozbase/python-mozbase.spec
+++ python-mozbase/python-mozbase.spec.tmp
@@ -1,6 +1,6 @@
 Name: python-mozbase
 Version: 0
-Release: 0.12.gitb077641%{?dist}
+Release: 0.13.gitb077641%{?dist}
 Summary: The Mozilla suite of Python utilities
 License: MPLv1.1 or GPLv2+ or LGPLv2+
 URL: https://wiki.mozilla.org/Auto-tools/Projects/MozBase
@@ -10,19 +10,26 @@ Patch0: python-mozbase-firefox-version.patch
 BuildRequires: python-devel python-setuptools
 BuildArch: noarch
 
-Requires: python-manifestdestiny = %{version}-%{release}
-Requires: python-mozdevice = %{version}-%{release}
-Requires: python-mozhttpd = %{version}-%{release}
-Requires: python-mozinfo = %{version}-%{release}
-Requires: python-mozinstall = %{version}-%{release}
-Requires: python-mozlog = %{version}-%{release}
-Requires: python-mozprocess = %{version}-%{release}
-Requires: python-mozprofile = %{version}-%{release}
+%global _description\
+Mozbase is the Mozilla suite of Python utilities. This package\
+installs all utilities and Python libraries from Mozbase.
+
+%description %_description
+
+%package -n python2-manifestdestiny
+Summary: %summary
 Requires: python-mozrunner = %{version}-%{release}
+Requires: python-mozprofile = %{version}-%{release}
+Requires: python-mozprocess = %{version}-%{release}
+Requires: python-mozlog = %{version}-%{release}
+Requires: python-mozinstall = %{version}-%{release}
+Requires: python-mozinfo = %{version}-%{release}
+Requires: python-mozhttpd = %{version}-%{release}
+Requires: python-mozdevice = %{version}-%{release}
+Requires: python-manifestdestiny = %{version}-%{release}
+%{?python_provide:%python_provide python2-manifestdestiny}
 
-%description
-Mozbase is the Mozilla suite of Python utilities. This package
-installs all utilities and Python libraries from Mozbase.
+%description -n python2-manifestdestiny %_description
 
 %package -n python-manifestdestiny
 Summary: Universal manifests for Mozilla test harnesses
@@ -158,7 +165,7 @@ chmod +x %{buildroot}%{python_sitelib}/mozhttpd/mozhttpd.py
 chmod +x %{buildroot}%{python_sitelib}/manifestparser/manifestparser.py
 chmod +x %{buildroot}%{python_sitelib}/mozrunner/utils.py
 
-%files
+%files -n python2-manifestdestiny
 %doc README
 
 %files -n python-manifestdestiny
@@ -206,6 +213,10 @@ chmod +x %{buildroot}%{python_sitelib}/mozrunner/utils.py
 %doc mozrunner/README.md
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0-0.13.gitb077641
+- Python 2 subpackage renamed to python2-mozbase
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.gitb077641
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mpmath/python-mpmath.spec python-mpmath/python-mpmath.spec.tmp
index 88bbec4431..3162ee1d42 100644
--- python-mpmath/python-mpmath.spec
+++ python-mpmath/python-mpmath.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-mpmath
 Version:        0.19
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        A pure Python library for multiprecision floating-point arithmetic
 Group:          Applications/Engineering
 License:        BSD
@@ -31,18 +31,26 @@ BuildRequires:  tex(latex)
 BuildRequires:  python3-devel
 %endif
 
-%description
-Mpmath is a pure-Python library for multiprecision floating-point arithmetic.
-It provides an extensive set of transcendental functions, unlimited exponent
-sizes, complex numbers, interval arithmetic, numerical integration and
-differentiation, root-finding, linear algebra, and much more. Almost any
-calculation can be performed just as well at 10-digit or 1000-digit precision,
-and in many cases mpmath implements asymptotically fast algorithms that scale
-well for extremely high precision work. If available, mpmath will (optionally)
-use gmpy to speed up high precision operations.
+%global _description\
+Mpmath is a pure-Python library for multiprecision floating-point arithmetic.\
+It provides an extensive set of transcendental functions, unlimited exponent\
+sizes, complex numbers, interval arithmetic, numerical integration and\
+differentiation, root-finding, linear algebra, and much more. Almost any\
+calculation can be performed just as well at 10-digit or 1000-digit precision,\
+and in many cases mpmath implements asymptotically fast algorithms that scale\
+well for extremely high precision work. If available, mpmath will (optionally)\
+use gmpy to speed up high precision operations.\
+\
+If you require plotting capabilities in mpmath, install python-matplotlib.\
+
 
-If you require plotting capabilities in mpmath, install python-matplotlib.
+%description %_description
 
+%package -n python2-mpmath
+Summary: %summary
+%{?python_provide:%python_provide python2-mpmath}
+
+%description -n python2-mpmath %_description
 
 %if 0%{?with_python3}
 %package -n python3-mpmath
@@ -114,7 +122,7 @@ python3 runtests.py
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-mpmath
 %defattr(-,root,root,-)
 %doc CHANGES LICENSE PKG-INFO README.rst
 %{python_sitelib}/mpmath/
@@ -132,6 +140,10 @@ rm -rf %{buildroot}
 %doc doc/build/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.19-10
+- Python 2 subpackage renamed to python2-mpmath
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.19-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mtTkinter/python-mtTkinter.spec python-mtTkinter/python-mtTkinter.spec.tmp
index 689e81f175..9bbfa328ec 100644
--- python-mtTkinter/python-mtTkinter.spec
+++ python-mtTkinter/python-mtTkinter.spec.tmp
@@ -3,7 +3,7 @@
 Summary:   A thread-safe version of Tkinter
 Name:      python-mtTkinter
 Version:   0.4
-Release:   13%{?dist}
+Release:   14%{?dist}
 License:   LGPLv3+
 Source0:   http://tkinter.unpythonic.net/attach/mtTkinter/attachments/mtTkinter-%{version}.tar.gz
 Source1:   08-clock-bezier.py
@@ -11,29 +11,37 @@ Group:     Development/Languages
 URL:       http://tkinter.unpythonic.net/wiki/mtTkinter
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires: python-devel >= 2.4
-Requires:  tkinter
 BuildArch: noarch
 
-%description
-Although Tkinter is technically thread-safe 
-(assuming Tk is built with --enable-threads), 
-practically speaking there are still problems when used in multithreaded 
-Python applications.  The problems stem from the fact that the _tkinter 
-module attempts to gain control of the main thread via a polling technique 
-when processing calls from other threads.  If it succeeds, all is well. 
-If it fails (i.e., after a timeout), the application receives an exception 
-with the message: "RuntimeError: main thread is not in main loop". 
-There is no way to tell when this might happen, so calling Tk routines 
-from multiple threads seems to be problematic at best.
-
-The mtTkinter module solves this problem by modifying some Tkinter 
-module definitions (in memory). The modified code intercepts 
-out-of-thread Tkinter calls and marshals them through a queue which 
-is read by an 'after' event running periodically in the main loop. 
-This is similar to the technique used in many other platforms 
-(e.g., .NET's InvokeRequired/Invoke mechanism). 
-The technique used in mtTkinter is exception-safe as well, 
-marshaling exceptions through a response queue back to the caller's thread. 
+%global _description\
+Although Tkinter is technically thread-safe\
+(assuming Tk is built with --enable-threads),\
+practically speaking there are still problems when used in multithreaded\
+Python applications.  The problems stem from the fact that the _tkinter\
+module attempts to gain control of the main thread via a polling technique\
+when processing calls from other threads.  If it succeeds, all is well.\
+If it fails (i.e., after a timeout), the application receives an exception\
+with the message: "RuntimeError: main thread is not in main loop".\
+There is no way to tell when this might happen, so calling Tk routines\
+from multiple threads seems to be problematic at best.\
+\
+The mtTkinter module solves this problem by modifying some Tkinter\
+module definitions (in memory). The modified code intercepts\
+out-of-thread Tkinter calls and marshals them through a queue which\
+is read by an 'after' event running periodically in the main loop.\
+This is similar to the technique used in many other platforms\
+(e.g., .NET's InvokeRequired/Invoke mechanism).\
+The technique used in mtTkinter is exception-safe as well,\
+marshaling exceptions through a response queue back to the caller's thread.
+
+%description %_description
+
+%package -n python2-mttkinter
+Summary: %summary
+Requires:  tkinter
+%{?python_provide:%python_provide python2-mttkinter}
+
+%description -n python2-mttkinter %_description
 
 %prep
 %setup -q -n mtTkinter-%{version}
@@ -50,12 +58,16 @@ install -pm 0644 %{SOURCE1} %{_builddir}/mtTkinter-%{version}/clock-bezier.py
 %clean
 rm -rf %{buildroot}
 
-%files 
+%files -n python2-mttkinter
 %defattr(-,root,root,-)
 %doc clock-bezier.py lgpl.txt gpl.txt
 %{python_sitelib}/mtTkinter.py*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-14
+- Python 2 subpackage renamed to python2-mttkinter
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-munch/python-munch.spec python-munch/python-munch.spec.tmp
index 9b2bb93f08..f385145f4e 100644
--- python-munch/python-munch.spec
+++ python-munch/python-munch.spec.tmp
@@ -14,7 +14,7 @@
 
 Name:               python-munch
 Version:            2.1.1
-Release:            2%{?dist}
+Release:            3%{?dist}
 Summary:            A dot-accessible dictionary (a la JavaScript objects)
 
 Group:              Development/Libraries
@@ -32,15 +32,23 @@ BuildRequires:      python3-devel
 BuildRequires:      python3-setuptools
 %endif
 
-%description
-munch is a fork of David Schoonover's **Bunch** package, providing similar
-functionality. 99% of the work was done by him, and the fork was made
-mainly for lack of responsiveness for fixes and maintenance on the original
-code.
-
-Munch is a dictionary that supports attribute-style access, a la
+%global _description\
+munch is a fork of David Schoonover's **Bunch** package, providing similar\
+functionality. 99% of the work was done by him, and the fork was made\
+mainly for lack of responsiveness for fixes and maintenance on the original\
+code.\
+\
+Munch is a dictionary that supports attribute-style access, a la\
 JavaScript.
 
+%description %_description
+
+%package -n python2-munch
+Summary: %summary
+%{?python_provide:%python_provide python2-munch}
+
+%description -n python2-munch %_description
+
 %if 0%{?with_python3}
 %package -n python3-munch
 Summary:            A dot-accessible dictionary (a la JavaScript objects)
@@ -85,7 +93,7 @@ popd
 %endif
 %{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-munch
 %doc README.md
 %{!?_licensedir:%global license %doc}
 %license LICENSE.txt
@@ -102,6 +110,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1.1-3
+- Python 2 subpackage renamed to python2-munch
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-musicbrainz2/python-musicbrainz2.spec python-musicbrainz2/python-musicbrainz2.spec.tmp
index 7e202b2f21..362b172cd9 100644
--- python-musicbrainz2/python-musicbrainz2.spec
+++ python-musicbrainz2/python-musicbrainz2.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-musicbrainz2
 Version:        0.7.0
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Library which provides access to the MusicBrainz Database
 
 Group:          Development/Languages
@@ -18,14 +18,21 @@ BuildArch:      noarch
 
 BuildRequires:  python-setuptools
 
+%global _description\
+The package python-musicbrainz2 is a client library written in python,\
+which provides easy object oriented access to the MusicBrainz Database\
+using the XMLWebService. It has been written from scratch and uses a\
+different model than PythonMusicbrainz, the first generation python\
+bindings.
+
+%description %_description
+
+%package -n python2-musicbrainz2
+Summary: %summary
 Requires:       libdiscid
+%{?python_provide:%python_provide python2-musicbrainz2}
 
-%description
-The package python-musicbrainz2 is a client library written in python,
-which provides easy object oriented access to the MusicBrainz Database
-using the XMLWebService. It has been written from scratch and uses a
-different model than PythonMusicbrainz, the first generation python
-bindings.
+%description -n python2-musicbrainz2 %_description
 
 %prep
 %setup0 -q
@@ -44,13 +51,17 @@ rm -rf %{buildroot}
 %check
 CFLAGS="%{optflags}" %{__python} setup.py test
 
-%files
+%files -n python2-musicbrainz2
 %defattr(-,root,root,-)
 %doc AUTHORS.txt CHANGES.txt COPYING.txt INSTALL.txt README.txt
 %{_bindir}/mb-submit-disc
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.0-15
+- Python 2 subpackage renamed to python2-musicbrainz2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mwlib-docbook/python-mwlib-docbook.spec python-mwlib-docbook/python-mwlib-docbook.spec.tmp
index bc940933b5..e65a9e4034 100644
--- python-mwlib-docbook/python-mwlib-docbook.spec
+++ python-mwlib-docbook/python-mwlib-docbook.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-mwlib-docbook
 Version:        0.1.0
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        DocBook writer for mwlib
 
 License:        BSD
@@ -12,14 +12,22 @@ Source0:        http://pypi.python.org/packages/source/m/%{module_name}/%{module
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       python-mwlib
-Requires:       python-mwlib-xhtml
 
-%description
-mwlib provides a library for parsing MediaWiki articles and converting them to
-different output formats. This package contains the necessary code to output
-articles in DocBook format.
+%global _description\
+mwlib provides a library for parsing MediaWiki articles and converting them to\
+different output formats. This package contains the necessary code to output\
+articles in DocBook format.\
+
+
+%description %_description
 
+%package -n python2-mwlib-docbook
+Summary: %summary
+Requires:       python-mwlib-xhtml
+Requires:       python-mwlib
+%{?python_provide:%python_provide python2-mwlib-docbook}
+
+%description -n python2-mwlib-docbook %_description
 
 %prep
 %setup -qn %{module_name}-%{version}
@@ -36,12 +44,16 @@ chmod a-x mwlib/*.py
 %{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
  
-%files
+%files -n python2-mwlib-docbook
 %{python_sitelib}/%{module_name}-*
 %{python_sitelib}/mwlib/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0-13
+- Python 2 subpackage renamed to python2-mwlib-docbook
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mwlib/python-mwlib.spec python-mwlib/python-mwlib.spec.tmp
index e8bca98d8e..dd1fb6e573 100644
--- python-mwlib/python-mwlib.spec
+++ python-mwlib/python-mwlib.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-%{module_name}
 Version:        0.15.14
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        MediaWiki parser and utility library
 
 License:        BSD
@@ -45,28 +45,36 @@ BuildRequires:  python-simplejson >= 2.3
 BuildRequires:  python-sqlite3dbm
 BuildRequires:  python-roman
 BuildRequires:  pytest
-Requires:       odfpy >= 0.9
-Requires:       pyPdf >= 1.12
-Requires:       pyparsing >= 1.4.11
-Requires:       python-apipkg >= 1.2
-Requires:       python-bottle >= 0.10
-Requires:       python-dateutil
-Requires:       python-docutils
-Requires:       python-gevent
-Requires:       python-lxml
-Requires:       python-pillow
-Requires:       python-py >= 1.4
-Requires:       python-qserve >= 0.2.7
-Requires:       python-setuptools
-Requires:       python-simplejson >= 2.3
-Requires:       python-sqlite3dbm
-Requires:       python-roman
 
-%description
-mwlib provides a library for parsing MediaWiki articles and converting them to
-different output formats. mwlib is used by Wikipedia's "Print/export" feature
-in order to generate PDF documents from Wikipedia articles.
+%global _description\
+mwlib provides a library for parsing MediaWiki articles and converting them to\
+different output formats. mwlib is used by Wikipedia's "Print/export" feature\
+in order to generate PDF documents from Wikipedia articles.\
+
+
+%description %_description
 
+%package -n python2-%{module_name}
+Summary: %summary
+Requires:       python-roman
+Requires:       python-sqlite3dbm
+Requires:       python-simplejson >= 2.3
+Requires:       python-setuptools
+Requires:       python-qserve >= 0.2.7
+Requires:       python-py >= 1.4
+Requires:       python-pillow
+Requires:       python-lxml
+Requires:       python-gevent
+Requires:       python-docutils
+Requires:       python-dateutil
+Requires:       python-bottle >= 0.10
+Requires:       python-apipkg >= 1.2
+Requires:       pyparsing >= 1.4.11
+Requires:       pyPdf >= 1.12
+Requires:       odfpy >= 0.9
+%{?python_provide:%python_provide python2-%{module_name}}
+
+%description -n python2-%{module_name} %_description
 
 %prep
 %setup -qn %{module_name}-%{version}
@@ -116,7 +124,7 @@ PATH=%{buildroot}%{_bindir}:$PATH \
 
 rm %{buildroot}%{python2_sitearch}/mwlib/__init__.py
 
-%files
+%files -n python2-%{module_name}
 %doc changelog.rst README.rst README.fedora docs
 %{python_sitearch}/*
 %{_bindir}/mw-*
@@ -124,6 +132,10 @@ rm %{buildroot}%{python2_sitearch}/mwlib/__init__.py
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.15.14-9
+- Python 2 subpackage renamed to python2-mwlib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.14-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mwlib-xhtml/python-mwlib-xhtml.spec python-mwlib-xhtml/python-mwlib-xhtml.spec.tmp
index 2ce819a7c0..f77eb6b4e7 100644
--- python-mwlib-xhtml/python-mwlib-xhtml.spec
+++ python-mwlib-xhtml/python-mwlib-xhtml.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-mwlib-xhtml
 Version:        0.1.0
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        XHTML writer for mwlib
 
 License:        BSD
@@ -12,13 +12,21 @@ Source0:        http://pypi.python.org/packages/source/m/%{module_name}/%{module
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       python-mwlib
 
-%description
-mwlib provides a library for parsing MediaWiki articles and converting them to
-different output formats. This package contains the necessary code to output
-articles in XHTML format.
+%global _description\
+mwlib provides a library for parsing MediaWiki articles and converting them to\
+different output formats. This package contains the necessary code to output\
+articles in XHTML format.\
+
+
+%description %_description
 
+%package -n python2-mwlib-xhtml
+Summary: %summary
+Requires:       python-mwlib
+%{?python_provide:%python_provide python2-mwlib-xhtml}
+
+%description -n python2-mwlib-xhtml %_description
 
 %prep
 %setup -qn %{module_name}-%{version}
@@ -35,12 +43,16 @@ chmod a-x mwlib/*.py
 %{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
  
-%files
+%files -n python2-mwlib-xhtml
 %{python_sitelib}/%{module_name}-*
 %{python_sitelib}/mwlib/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0-13
+- Python 2 subpackage renamed to python2-mwlib-xhtml
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-myghty/python-myghty.spec python-myghty/python-myghty.spec.tmp
index 2f10712ae6..19e4160e8b 100644
--- python-myghty/python-myghty.spec
+++ python-myghty/python-myghty.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-myghty
 Version:        1.2
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Python-based templating system derived from HTML::Mason
 
 Group:          Development/Libraries
@@ -22,15 +22,23 @@ BuildRequires: python-setuptools
 %endif
 
 
-%description
-Myghty is a Python based web and templating framework originally based on
-HTML::Mason, the enterprise-level framework used by Amazon.com, del.icio.us
-and Salon.com, among many others. Myghty fully implements Mason's templating
-language, component-based architecture, and caching system, and goes beyond,
-adding new paradigms such the Module Components controller paradigm, full
-Python whitespace syntax, threading support, WSGI support, session support,
+%global _description\
+Myghty is a Python based web and templating framework originally based on\
+HTML::Mason, the enterprise-level framework used by Amazon.com, del.icio.us\
+and Salon.com, among many others. Myghty fully implements Mason's templating\
+language, component-based architecture, and caching system, and goes beyond,\
+adding new paradigms such the Module Components controller paradigm, full\
+Python whitespace syntax, threading support, WSGI support, session support,\
 and much more.
 
+%description %_description
+
+%package -n python2-myghty
+Summary: %summary
+%{?python_provide:%python_provide python2-myghty}
+
+%description -n python2-myghty %_description
+
 %prep
 %setup -q -n Myghty-%{version}
 
@@ -48,13 +56,17 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-myghty
 %defattr(-,root,root,-)
 %doc doc/html/* examples LICENSE README
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2-13
+- Python 2 subpackage renamed to python2-myghty
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-mygpoclient/python-mygpoclient.spec python-mygpoclient/python-mygpoclient.spec.tmp
index 86c171b680..acb441b8b2 100644
--- python-mygpoclient/python-mygpoclient.spec
+++ python-mygpoclient/python-mygpoclient.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:       python-mygpoclient
 Version:    1.7
-Release:    7%{?dist}
+Release:    8%{?dist}
 Summary:    Python module to connect to the my.gpodder.org webservice
 
 Group:      System Environment/Libraries
@@ -18,9 +18,17 @@ BuildRequires: python-coverage
 BuildRequires: python-nose
 BuildRequires: python-simplejson
 
-%description
+%global _description\
 %{name} is a client-library to connect the my.gpodder.org webservice.
 
+%description %_description
+
+%package -n python2-mygpoclient
+Summary: %summary
+%{?python_provide:%python_provide python2-mygpoclient}
+
+%description -n python2-mygpoclient %_description
+
 %prep
 %setup -q -n mygpoclient-%{version}
 # Leave out http-tests as they currently fail occasionally (reported upstream)
@@ -40,7 +48,7 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-mygpoclient
 %defattr(-,root,root,-)
 %{python_sitelib}/mygpoclient
 %{python_sitelib}/mygpoclient*.egg-info
@@ -50,6 +58,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7-8
+- Python 2 subpackage renamed to python2-mygpoclient
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
